Bug 75216 - in /etc/init.d/sendmail, make -q does not work
in /etc/init.d/sendmail, make -q does not work
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-10-05 12:06 EDT by Oliver Schulze L.
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-22 12:34:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Oliver Schulze L. 2002-10-05 12:06:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; es-ES; rv:1.2a) Gecko/20020910

Description of problem:
In the file:
there is a call to:
make -C /etc/mail -q
if you use the -q option, the program make does not do
what it is suposed to do.
To solve the issue, use this line:
make -C /etc/mail >/dev/null

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. edit /etc/mail/access
2. run service sendmail restart
3. run ls -lt /etc/mail/access*
4. the timestamp differs

Actual Results:  the /etc/mail/Makefile should be run

Expected Results:  the /etc/mail/access.db must be generated

Additional info:
Comment 1 Oliver Schulze L. 2002-10-21 01:35:26 EDT
Confirmed that the bug also happend in RedHat 7.2
Changing Severity to High because is really a big bug.
Comment 2 Florian La Roche 2003-01-22 12:34:25 EST
Please change this to "-s" to have it work correctly. If another erratum rpm
is done for older Red Hat Linux releases, this patch will also be included.

Thanks a lot,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.